Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Newcomers » Newcomers » Installing org.eclipse.jetty.bundles into Neon(Jetty Bundles: Cannot complete the install because one or more required items could not be found.)
Installing org.eclipse.jetty.bundles into Neon [message #1759152] Fri, 07 April 2017 03:02 Go to next message
lea abrugena is currently offline lea abrugenaFriend
Messages: 27
Registered: October 2012
Junior Member
I'm installing "org.eclipse.jetty.bundles" into eclipse Neon.
Update Site Used: http://download.eclipse.org/jetty/updates/jetty-bundles-9.x/

Error below has been encountered.
Cannot complete the install because one or more required items could not be found.
Software being installed: Jetty - Bundles: all the jetty bundles 9.4.3.201703302210 (org.eclipse.jetty.bundles.f.feature.group 9.4.3.201703302210)
Missing requirement: Jetty :: Apache JSP Implementation 9.4.3.v20170317 (org.eclipse.jetty.apache-jsp 9.4.3.v20170317) requires 'package org.apache.jasper.servlet [8.5.0,9.0.0)' but it could not be found
Cannot satisfy dependency:
From: Jetty - Bundles: all the jetty bundles 9.4.3.201703302210 (org.eclipse.jetty.bundles.f.feature.group 9.4.3.201703302210)
To: org.eclipse.jetty.apache-jsp [9.4.3.v20170317]

I could not find any p2 repo that contains "package org.apache.jasper.servlet".

Please help.
Thanks
Re: Installing org.eclipse.jetty.bundles into Neon [message #1759158 is a reply to message #1759152] Thu, 06 April 2017 23:05 Go to previous messageGo to next message
Ed Merks is currently offline Ed MerksFriend
Messages: 29183
Registered: July 2009
Senior Member
You can use the Repository Explorer to find Eclipse repositories:

https://wiki.eclipse.org/Eclipse_Oomph_Authoring#How_to_find_a_P2_repository_at_Eclipse_using_the_Repository_Explorer

For third party dependencies likely http://download.eclipse.org/tools/orbit/downloads/latest-R will do the trick. Or one of the variants -S -I or -N; -R -> release, -S -> stable, -I -> integration, -N -> nightly.

Re: Installing org.eclipse.jetty.bundles into Neon [message #1759170 is a reply to message #1759152] Fri, 07 April 2017 08:57 Go to previous messageGo to next message
lea abrugena is currently offline lea abrugenaFriend
Messages: 27
Registered: October 2012
Junior Member
Thanks Ed.

However, I tried all combinations and have no luck.
http://download.eclipse.org/tools/orbit/downloads/latest-R
http://download.eclipse.org/tools/orbit/downloads/latest-S
http://download.eclipse.org/tools/orbit/downloads/latest-I
http://download.eclipse.org/tools/orbit/downloads/latest-N

I tried Jetty 8.x and it was successful.
But i need to install jetty version 9.x to Neon.3.

I'll try the other option you provided Eclipse Oomph Authoring.

But if you know something else, please let me know.

Thanks.
Re: Installing org.eclipse.jetty.bundles into Neon [message #1759740 is a reply to message #1759170] Tue, 18 April 2017 07:10 Go to previous messageGo to next message
lea abrugena is currently offline lea abrugenaFriend
Messages: 27
Registered: October 2012
Junior Member
Thanks much Ed.

I tried Eclipse Oomph Authoring Repository Browser and i was able to locate repositories and install Jetty 9.x to Neon.

Smile
Re: Installing org.eclipse.jetty.bundles into Neon [message #1779499 is a reply to message #1759740] Mon, 08 January 2018 18:36 Go to previous message
Yonni Chen is currently offline Yonni ChenFriend
Messages: 2
Registered: December 2017
Junior Member
Hi Lea,

Could you please detail all the steps you did to solve it? I'm having the same issue right now and I need to use the HTTP/2 packages from Jetty 9.4.7

Thank you!
Previous Topic:problems starting tomcat server after joining the computer to a domain
Next Topic:Jetty server crashes
Goto Forum:
  


Current Time: Mon Feb 19 06:37:20 GMT 2018

Powered by FUDForum. Page generated in 0.02643 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software